BP_LOCAL_TAXONOMYDB_QUERY(1p)

NAME
bp_local_taxonomydb_query - query a local TaxonomyDB for species or taxonid

DESCRIPTION
This script provides an example implementation of access to a local Taxonomy database implemented with Berkeley DB (DB_File module is needed).

Usage:

 bp_local_taxonomydb_query.PLS: [-v] --nodes nodes.dmp --names names.dmp "Genus1 species1" "Genus2 species2"

Providing the nodes.dmp and names.dmp files from the NCBI Taxonomy dump (see Bio::DB::Taxonomy::flatfile for more info) is only necessary on the first time running. This will create the local indexes and may take quite a long time. However once created, these indexes will allow fast access for species to taxon id OR taxon id to species name lookups.